<?php
/**
 * The template for displaying Archive pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Jester
 */

get_header(); ?>

<main id="main" class="site-main" role="main">

    <?php if ( have_posts() ) : ?>

    	<header class="page-header">
    		<h1 class="page-title">
    			<?php
    				if ( is_category() ) :
    					printf( __( 'Category: %s', 'jester' ), single_cat_title( null, false ) );

    				elseif ( is_tag() ) :
    					printf( __( 'Tag: %s', 'jester' ), single_tag_title( null, false ) );

    				elseif ( is_author() ) :
    					printf( __( 'Author: %s', 'jester' ), '<span class="vcard">' . get_the_author() . '</span>' );

    				elseif ( is_day() ) :
    					printf( __( 'Day: %s', 'jester' ), get_the_date() );

    				elseif ( is_month() ) :
    					printf( __( 'Month: %s', 'jester' ), get_the_date( _x( 'F Y', 'monthly archives date format', 'jester' ) ) );

    				elseif ( is_year() ) :
    					printf( __( 'Year: %s', 'jester' ), get_the_date( _x( 'Y', 'yearly archives date format', 'jester' ) ) );

    				elseif ( is_tax( 'post_format', 'post-format-aside' ) ) :
    					_e( 'Asides', 'jester' );

    				elseif ( is_tax( 'post_format', 'post-format-gallery' ) ) :
    					_e( 'Galleries', 'jester');

    				elseif ( is_tax( 'post_format', 'post-format-image' ) ) :
    					_e( 'Images', 'jester');

    				elseif ( is_tax( 'post_format', 'post-format-video' ) ) :
    					_e( 'Videos', 'jester' );

    				elseif ( is_tax( 'post_format', 'post-format-quote' ) ) :
    					_e( 'Quotes', 'jester' );

    				elseif ( is_tax( 'post_format', 'post-format-link' ) ) :
    					_e( 'Links', 'jester' );

    				elseif ( is_tax( 'post_format', 'post-format-status' ) ) :
    					_e( 'Statuses', 'jester' );

    				elseif ( is_tax( 'post_format', 'post-format-audio' ) ) :
    					_e( 'Audios', 'jester' );

    				elseif ( is_tax( 'post_format', 'post-format-chat' ) ) :
    					_e( 'Chats', 'jester' );

    				else :
    					_e( 'Archives', 'jester' );

    				endif;
    			?>
    		</h1>
    	</header><!-- .page-header -->

    	<?php /* Start the Loop */ ?>
    	<?php while ( have_posts() ) : the_post(); ?>

    		<?php
    			/* Include the Post-Format-specific template for the content.
    			 * If you want to override this in a child theme, then include a file
    			 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
    			 */
    			get_template_part( 'content', get_post_format() );
    		?>

    	<?php endwhile; ?>

    	<?php jester_paging_nav(); ?>

    <?php else : ?>

    	<?php get_template_part( 'content', 'none' ); ?>

    <?php endif; ?>

</main><!-- #primary -->

<?php get_footer(); ?>