<?php
/**
 * The template part for displaying a message that posts cannot be found.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Jester
 */
?>

<section class="no-results not-found">
	<header class="page-header">
		<h1 class="page-title"><?php _e( 'Nothing Found', 'jester' ); ?></h1>
	</header><!-- .page-header -->

	<div class="page-content">
		<?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>

			<p>
			    <?php printf( __( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'jester' ),
			        esc_url( admin_url( 'post-new.php' ) ) );
                ?>
            </p>

		<?php elseif ( is_search() ) : ?>
            <p>
                <?php printf( __( 'Sorry, but we didn&rsquo;t find any results for your search terms. You could either <a href="%s">return home</a> or perform another search.', 'jester' ),
                    esc_url( home_url( '/' ) ) );
                ?>
			</p>
        <?php get_search_form(); ?>

		<?php else : ?>

			<p><?php _e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'jester' ); ?></p>
			<?php get_search_form(); ?>

		<?php endif; ?>
	</div><!-- .page-content -->
</section><!-- .no-results -->
