<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Jester
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<header id="masthead" class="site-header" role="banner">
    <div class="site-branding">
    	<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
    	<p class="site-description"><?php bloginfo( 'description' ); ?></p>
    </div>
    
    <nav id="toggles">
            <div class="header-button nav-toggle">
                <span class="genericon genericon-menu"></span>
                <span class="screen-reader-text">Menu</span>
            </div>
        
            <div class="header-button secondary-toggle">
                <span class="genericon genericon-gallery"></span>
                <span class="screen-reader-text">Sidebar</span>
            </div>
        
            <div class="header-button search-toggle">
                <span class="genericon genericon-search"></span>
                <span class="screen-reader-text">Search</span>
            </div>
        
        <?php if ( has_nav_menu( 'social' ) ) : ?>
                <div class="header-button social-toggle">
                    <span class="genericon genericon-star"></span>
                    <span class="screen-reader-text">Social</span>
                </div>
        <?php endif; ?>
    </nav>
    
    <!-- Skip to content -->
    <a class="skip-link screen-reader-text" href="#primary"><?php _e( 'Skip to content', 'jester' ); ?></a>
</header><!-- #masthead -->
  
<!-- Toggled dropdowns -->
<nav id="site-navigation-dropdown" class="main-navigation" role="navigation">
    <?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
</nav>

<div id="secondary-dropdown" class="">
    <?php get_sidebar(); ?>
</div>

<div id="search-dropdown" class="">
    <?php get_search_form(); ?>
</div>

<?php if ( has_nav_menu( 'social' ) ) : ?>
    <nav id="social-navigation-dropdown" class="" role="navigation">
        <?php wp_nav_menu( array(
            'theme_location' => 'social',
            'link_before'    => '<span class="screen-reader-text">',
            'link_after'     => '</span>'
        ) ); ?>
    </nav>
<?php endif; ?>